router zebra
hostname 20c3
password Rr8xTGtE
enable password QT5X86oA
log file bgpd.log
log stdout
!
router bgp 29254
!
no bgp default ipv4-unicast
!
neighbor 3FFE:401:1::F00:2 remote-as 1275
neighbor 3FFE:401:1::F00:2 interface sit-join
!
neighbor 2001:1520:1::bb01:1 remote-as 3257
neighbor 2001:1520:1::bb01:1 interface sit-tisc
!
neighbor 2001:1520:1::bb02:1 remote-as 5430
neighbor 2001:1520:1::bb02:1 interface sit-free
!
address-family ipv6
!
network 2001:1520::/32
!
neighbor 3FFE:401:1::F00:2 activate
neighbor 3FFE:401:1::F00:2 send-community
neighbor 3FFE:401:1::F00:2 soft-reconfiguration inbound
neighbor 3FFE:401:1::F00:2 description JOIN
neighbor 3FFE:401:1::F00:2 prefix-list anynet in
neighbor 3FFE:401:1::F00:2 prefix-list ournet out
!
neighbor 2001:1520:1::bb01:1 activate
neighbor 2001:1520:1::bb01:1 send-community
neighbor 2001:1520:1::bb01:1 soft-reconfiguration inbound
neighbor 2001:1520:1::bb01:1 description Tiscali
neighbor 2001:1520:1::bb01:1 prefix-list anynet in
neighbor 2001:1520:1::bb01:1 prefix-list ournet out
!
neighbor 2001:1520:1::bb02:1 activate
neighbor 2001:1520:1::bb02:1 send-community
neighbor 2001:1520:1::bb02:1 soft-reconfiguration inbound
neighbor 2001:1520:1::bb02:1 description Freenet
neighbor 2001:1520:1::bb02:1 prefix-list anynet in
neighbor 2001:1520:1::bb02:1 prefix-list ournet out
!
exit-address-family
!
ipv6 prefix-list anynet description 6bone filters derived from RFC2772 and 6bone BCP
ipv6 prefix-list anynet seq 5 permit 3FFE::/18 ge 24 le 24
ipv6 prefix-list anynet seq 10 permit 3FFE:4000::/18 ge 32 le 32
ipv6 prefix-list anynet seq 15 permit 3FFE:8000::/17 ge 28 le 28
ipv6 prefix-list anynet seq 20 permit 2001::/16 ge 29 le 48
ipv6 prefix-list anynet seq 22 permit 2001:500::/32 ge 48 le 48
ipv6 prefix-list anynet seq 25 permit 2002::/16
ipv6 prefix-list anynet seq 30 deny ::/0
!
ipv6 prefix-list ournet description Just announce our net
ipv6 prefix-list ournet seq 5 permit 2001:1520::/32
ipv6 prefix-list ournet seq 10 deny ::/0 le 128
